﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
<%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Index
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
   <% Html.RenderAction("Menu", "Admin"); %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>AlgorithmClass</h2>

<%  long? id = null;  %>
<div class="hl-menuButtons">
    <%: Html.ActionLink("New AlgorithmClass", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
</div>


        <table class="hl-dataTable">
        <thead>
        <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Actions</th>
        </tr>
        </thead>
        <tbody>
            <!--// We get this from the Controller (Index)-->
            <% foreach (AlgorithmClass p in ((AlgorithmClassModel)Model).AlgorithmClasses) {  %>
            <tr>
                <td>
                    <%: p.Name %>
                </td>
                <td>
                    <%: p.Description %>
                </td>
                <td class="hl-iconcell">
                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
                </td>
            </tr>
            <% } %>
            </tbody>
        </table>
  
</asp:Content>
