﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
<%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Index
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
   <% Html.RenderAction("Menu", "Admin"); %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Problems</h2>
    
    
    
    <%  long? id = null;  %>
    <div class="hl-menuButtons">
    <%: Html.ActionLink("New Problem", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
    </div>

        <table class="hl-dataTable">
        <thead>
        <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Type</th>
        <th>Actions</th>
        </tr>
        </thead>
        <tbody>
            <!--// We get this from the Controller (Index)-->
            <% foreach(Problem p in ((ProblemModel)Model).Problems) {  %>
            <tr>
                <td>
                    <%: p.Name%>
                </td>
                <td>
                    <%: p.Description %>
                </td>
                <td>
                    <%: p.DataTypeName %>
                </td>
                <td class="hl-iconcell">
                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
                </td>
            </tr>
            <% } %>
            </tbody>
        </table>
     
</asp:Content>
